NETIF_DORMANT_ON(9)

NAME
netif_dormant_on - mark device as dormant.

SYNOPSIS

void netif_dormant_on(struct net_device * dev);

ARGUMENTS

dev
    network device

DESCRIPTION

Mark device as dormant (as per RFC2863).

The dormant state indicates that the relevant interface is not actually in a condition to pass packets (i.e., it is not 'up') but is in a “pending” state, waiting for some external event. For “on- demand” interfaces, this new state identifies the situation where the interface is waiting for events to place it in the up state.

COPYRIGHT